Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class ErrorMessage

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.ErrorMessage`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class ErrorMessage
extends PKIMessageBody

PKI message body of type Error Message.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`ErrorMessage(java.io.InputStream is)`
`ErrorMessage(PKIStatusInfo status)` Create a new `ErrorMessage` with the specified status info.
`ErrorMessage(PKIStatusInfo status, java.math.BigInteger code, java.lang.String detail)` Create a new `ErrorMessage` with the specified status info and descriptive string.

Method Summary
`void` | `addErrorDetail(java.lang.String detail)`
`java.math.BigInteger` | `getErrorCode()` Get the error code for this error message.
`java.lang.String` | `getErrorDetail()` Returns the error details for this error message.
`java.util.Vector` | `getErrorDetails()` Returns the error details for this error message as a vector of strings, or `null` if none are defined.
`PKIStatusInfo` | `getStatusInfo()` Get the status of this message.
`PKIMessageBody.Type` | `getType()` Returns one of the values defined in `PKIMessageBody.Type`.
`void` | `input(java.io.InputStream is)`
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorMessage

    public ErrorMessage(PKIStatusInfo status)

  Create a new `ErrorMessage` with the specified status info.
Parameters:
  `status` - the `PKIStatusInfo` for this message.

### ErrorMessage

    public ErrorMessage(PKIStatusInfo status,
                        java.math.BigInteger code,
                        java.lang.String detail)

  Create a new `ErrorMessage` with the specified status info and descriptive string.
Parameters:
  `status` - the `PKIStatusInfo` for this message.
  `code` - the implementation-specific error code.

### ErrorMessage

    public ErrorMessage(java.io.InputStream is)
                 throws java.io.IOException

Method Detail

### getStatusInfo

    public PKIStatusInfo getStatusInfo()

  Get the status of this message.

### getErrorCode

    public java.math.BigInteger getErrorCode()

  Get the error code for this error message.
  Returns:
    the implementation-specific error code.

### addErrorDetail

    public void addErrorDetail(java.lang.String detail)

### getErrorDetail

    public java.lang.String getErrorDetail()

  Returns the error details for this error message. Returns the first if one or more are defined, or `null` if none are defined.
  Returns:
    the implementation-specific error details as a `String`.

### getErrorDetails

    public java.util.Vector getErrorDetails()

  Returns the error details for this error message as a vector of strings, or `null` if none are defined.

### getType

    public PKIMessageBody.Type getType()

  Description copied from class: `PKIMessageBody`
  Returns one of the values defined in `PKIMessageBody.Type`.
  Specified by:
    `getType` in class `PKIMessageBody`

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.